Genivia - a__address Class Reference

|  | Home | Documentation | a__address Class Reference updated Wed Jan 9 2019 by Robert van Engelen |

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
a__address Class Reference

"urn:address-book-example":address is a complexType. More...

`#include <address.h>`

## Public Attributes
std::string | name
| Element "name" of XSD type xs:string. More...
std::string | street
| Element "street" of XSD type xs:string. More...
std::string | city
| Element "city" of XSD type xs:string. More...
std::string | zip
| Element "zip" of XSD type xs:string. More...
enum a__ISO_country | country = a__ISO_country__us
| Element "country" of XSD type "":ISO-country. More...
std::string * | phone
| Element "phone" of XSD type xs:string. More...
std::string * | mobile
| Element "mobile" of XSD type xs:string. More...
time_t * | dob
| Element "dob" of XSD type xs:dateTime. More...
int | ID
| Attribute "ID" of XSD type xs:int. More...
struct soap * | soap

## Detailed Description

"urn:address-book-example":address is a complexType.

      An address information item

class a__address operations:

- a__address* soap_new_a__address(soap*) allocate and default initialize
- a__address* soap_new_a__address(soap*, int num) allocate array and default initialize values
- a__address* soap_new_req_a__address(soap*, ...) allocate, set required members
- a__address* soap_new_set_a__address(soap*, ...) allocate, set all public members
- a__address::soap_default(soap*) default initialize members
- int soap_read_a__address(soap*, a__address*) deserialize from a stream
- int soap_write_a__address(soap*, a__address*) serialize to a stream
- a__address* a__address::soap_dup(soap*) returns deep copy of a__address, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- a__address::soap_del() deep deletes a__address data members, use only after a__address::soap_dup(NULL) (use soapcpp2 -Ed)

Definition at line 207 of file address.h.

## Member Data Documentation

std::string a__address::city

Element "city" of XSD type xs:string.

Required element.

Definition at line 214 of file address.h.

enum a__ISO_country a__address::country = a__ISO_country__us

Element "country" of XSD type "":ISO-country.

Required element with default value="us".

Definition at line 218 of file address.h.

time_t* a__address::dob

Element "dob" of XSD type xs:dateTime.

Optional element.

Definition at line 224 of file address.h.

int a__address::ID

Attribute "ID" of XSD type xs:int.

Required attribute.

Definition at line 226 of file address.h.

std::string* a__address::mobile

Element "mobile" of XSD type xs:string.

Optional element.

Definition at line 222 of file address.h.

std::string a__address::name

Element "name" of XSD type xs:string.

Required element.

Definition at line 210 of file address.h.

std::string* a__address::phone

Element "phone" of XSD type xs:string.

Optional element.

Definition at line 220 of file address.h.

struct soap* a__address::soap

Definition at line 227 of file address.h.

std::string a__address::street

Element "street" of XSD type xs:string.

Required element.

Definition at line 212 of file address.h.

std::string a__address::zip

Element "zip" of XSD type xs:string.

Required element.

Definition at line 216 of file address.h.

The documentation for this class was generated from the following file:

- address.h